import request from '@/utils/httpRequest'

export default class ProjectRecordsService {
  list (params) {
    return request({
      url: '/cwProjectRecords/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/cwProjectRecords/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/cwProjectRecords/save`,
      method: 'post',
      data: inputForm
    })
  }
  saveForm (inputForm) {
    return request({
      url: `/cwProjectRecords/saveForm`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/cwProjectRecords/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateStatusById (data) {
    return request({
      url: '/cwProjectRecords/updateStatusById',
      method: 'post',
      data: data
    })
  }
}
